Estimate codebook generation cost and time
GET
/v2/codebook/estimate/{projectId}/{questionId}
const url = 'https://api.surveycoder.io/v2/codebook/estimate/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.surveycoder.io/v2/codebook/estimate/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string format: uuid
questionId
required
string format: uuid
Responses
Section titled “ Responses ”Per-tier cost/time estimate based on response count